> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convocore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Crawler Job

> Gets a single crawler job by id using the V3 API.

## Overview

Returns one crawler job with its current processing state, scraped URL tracking, and webhook metadata.

<Note>
  Crawler jobs cannot be updated after submission. This endpoint is read-only.
</Note>

## Typical Use Cases

* Polling job progress
* Reading final job status
* Inspecting webhook delivery configuration
* Reviewing discovered and processed URLs


## OpenAPI

````yaml GET /workspaces/{workspaceId}/crawler/jobs/{jobId}
openapi: 3.0.3
info:
  title: Convocore OpenAPI
  description: Full API reference for Convocore
  version: 1.0.4
servers:
  - url: https://eu-gcp-api.vg-stuff.com/v3
    description: EU Node.js API server
  - url: https://na-gcp-api.vg-stuff.com/v3
    description: NA Node.js API server
security: []
paths:
  /workspaces/{workspaceId}/crawler/jobs/{jobId}:
    get:
      tags:
        - Crawler
      summary: Get crawler job
      description: >-
        Returns one crawler job and its current state. Crawler jobs are
        immutable after submission and cannot be updated.
      operationId: getCrawlerJob
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
        - name: jobId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      workspaceId:
                        type: string
                      status:
                        type: string
                        enum:
                          - queued
                          - processing
                          - completed
                          - failed
                          - cancelled
                      primaryUrl:
                        type: string
                      urls:
                        type: array
                        items:
                          type: string
                      crawl:
                        type: boolean
                      crawlOptions:
                        type: object
                        properties:
                          maxPages:
                            type: integer
                            minimum: 1
                            maximum: 500
                            description: >-
                              Maximum number of pages the crawler is allowed to
                              process.
                          urlMatchers:
                            type: array
                            items:
                              type: string
                            description: >-
                              URL path matchers that define which pages are in
                              scope.
                          unMatchers:
                            type: array
                            items:
                              type: string
                            description: URL path matchers that should be excluded.
                          stayOnDomain:
                            type: boolean
                            description: >-
                              If true, only pages on the same domain are
                              crawled.
                        additionalProperties: false
                        nullable: true
                      useProxy:
                        type: boolean
                      deep:
                        type: boolean
                      refreshRate:
                        type: string
                        nullable: true
                      toAgentId:
                        type: string
                        nullable: true
                      toAgentIds:
                        type: array
                        items:
                          type: string
                      done:
                        type: boolean
                      failed:
                        type: boolean
                      isCancelled:
                        type: boolean
                      message:
                        type: string
                        nullable: true
                      resultError:
                        type: string
                        nullable: true
                      createdAt:
                        type: string
                        nullable: true
                      ts:
                        type: number
                      currentPageIndex:
                        type: number
                      scrapedPagesNum:
                        type: number
                      failedPagesNum:
                        type: number
                      pageLimit:
                        type: number
                      creditsPerPage:
                        type: number
                      estimatedCredits:
                        type: number
                      activeScrapeUrl:
                        type: string
                        nullable: true
                      crawlerJobId:
                        type: string
                        nullable: true
                      webhook:
                        type: object
                        properties:
                          url:
                            type: string
                            format: uri
                          events:
                            type: array
                            items:
                              type: string
                              enum:
                                - page_scraped
                                - job_completed
                                - job_failed
                          hasSecret:
                            type: boolean
                          hasBearerToken:
                            type: boolean
                          headerKeys:
                            type: array
                            items:
                              type: string
                        required:
                          - url
                          - events
                          - hasSecret
                          - hasBearerToken
                          - headerKeys
                        additionalProperties: false
                      scrapedUrls:
                        type: array
                        items:
                          type: string
                      scrapedHashes:
                        type: array
                        items:
                          type: string
                      pendingCandidateUrls:
                        type: array
                        items:
                          type: string
                      processedCrawlUrls:
                        type: array
                        items:
                          type: string
                      failedCrawlUrls:
                        type: array
                        items:
                          type: string
                      webhookFinalizedAt:
                        type: string
                        nullable: true
                      processingMode:
                        type: string
                        nullable: true
                      crawlerSubmittedAt:
                        type: string
                        nullable: true
                      crawlerWebhookUrl:
                        type: string
                        nullable: true
                      crawlerSubmissionEndpoint:
                        type: string
                        nullable: true
                    required:
                      - id
                      - workspaceId
                      - status
                      - primaryUrl
                      - urls
                      - crawl
                      - crawlOptions
                      - useProxy
                      - deep
                      - refreshRate
                      - toAgentId
                      - toAgentIds
                      - done
                      - failed
                      - isCancelled
                      - message
                      - resultError
                      - createdAt
                      - ts
                      - currentPageIndex
                      - scrapedPagesNum
                      - failedPagesNum
                      - pageLimit
                      - creditsPerPage
                      - estimatedCredits
                      - activeScrapeUrl
                      - crawlerJobId
                      - scrapedUrls
                      - scrapedHashes
                      - pendingCandidateUrls
                      - processedCrawlUrls
                      - failedCrawlUrls
                      - webhookFinalizedAt
                      - processingMode
                      - crawlerSubmittedAt
                      - crawlerWebhookUrl
                      - crawlerSubmissionEndpoint
                    additionalProperties: false
                required:
                  - success
                  - message
                  - data
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````